--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 14/469
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              01-AUG-14   Generis           13.6
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply MDD change 14/469
PROMPT
PROMPT Version 13.6
PROMPT
--
PROMPT
PROMPT Apply add LMR as SUP (and GAO) (MDD 14/469)
PROMPT
--
SET SCAN OFF
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'INSERT INTO MARKET_PARTICIPANT (MARKET_PARTICIPANT_CODE,MARKET_PARTICIPANT_NAME,
                     CREATED_USER_ID,CREATED_DATE,MARKET_PARTICIPANT_ABBR_NAME)
                     VALUES (''LMR'',''Lorimer Power Ltd'',''MDD_14_469'',SYSDATE,''LMR'')';

  EXECUTE IMMEDIATE 'INSERT INTO ADDRESS (ADDRESS_ID,BUILDING_NUMBER,BUILDING_NAME,BUILDING_NAME_SUB,
                     ADDRESS_1,ADDRESS_2,ADDRESS_3,ADDRESS_4,POSTCODE_OUTCODE,POSTCODE_INCODE,
                     CREATED_USER_ID,CREATED_MARKET_PARTICIPANT,CREATED_DATE)
                     VALUES (ADDRESS_ID_SEQ.NEXTVAL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,''X9'',''9XX'',
                     ''MDD_14_469'',''BSMART'',SYSDATE)';

  EXECUTE IMMEDIATE 'INSERT INTO MARKET_PARTICIPANT_IN_ROLE (MARKET_PARTICIPANT_CODE,MARKET_PARTICIPANT_ROLE_CODE,
                     EFFECTIVE_FROM_DATE,EFFECTIVE_TO_DATE,MARKET_PARTICIPANT_ROLE_NAME,ADDRESS_ID,
                     REGISTRATION_NUMBER,REGISTRATION_BODY,MARKET_PARTICIPANT_ROLE_ID,
                     MARKET_PARTICIPANT_ROLE_PORT,CREATED_USER_ID,CREATED_DATE)
                     VALUES (''LMR'',''SUP'',TO_DATE(''01012000000000'',''DDMMYYYYHH24MISS''),NULL,
                     ''Lorimer Power Ltd (SUP)'',ADDRESS_ID_SEQ.CURRVAL,NULL,NULL,NULL,NULL,''MDD_14_469'',SYSDATE)';

  EXECUTE IMMEDIATE 'INSERT INTO MARKET_PARTICIPANT_IN_ROLE (MARKET_PARTICIPANT_CODE,MARKET_PARTICIPANT_ROLE_CODE,
                     EFFECTIVE_FROM_DATE,EFFECTIVE_TO_DATE,MARKET_PARTICIPANT_ROLE_NAME,ADDRESS_ID,
                     REGISTRATION_NUMBER,REGISTRATION_BODY,MARKET_PARTICIPANT_ROLE_ID,
                     MARKET_PARTICIPANT_ROLE_PORT,CREATED_USER_ID,CREATED_DATE)
                     VALUES (''LMR'',''GAO'',TO_DATE(''01012000000000'',''DDMMYYYYHH24MISS''),NULL,
                     ''Lorimer Power Ltd (GAO)'',ADDRESS_ID_SEQ.CURRVAL,NULL,NULL,NULL,NULL,''MDD_14_469'',SYSDATE)';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
